package com.gh.gamecenter.search

import com.gh.common.constant.Config
import com.gh.gamecenter.feature.entity.SettingsEntity

class SearchTabRepository private constructor() {

    fun getSearchTabs(): List<SettingsEntity.Search.Navigation> =
        Config.getNewApiSettingsEntity()?.search?.navigations ?: emptyList()

    companion object {

        fun newInstance() = SearchTabRepository()
    }
}